$str.rightfromfirst Returns the right part of a string from the first occurrence of a given substring
Usage
<string> $str.rightfromfirst(<string:string>,<substring:string>[,<case:bool>])
Description
This function returns the right part of the string given as the first parameter from the position where the first occurrence of the string given as the second parameter is found to the end. It doesn't include the substring of the second parameter in the returned value. If the substring is not found, an empty string is returned. If the third parameter is set to true, then the search is case sensitive; it defaults to false.
Examples
%test = "Hello! My nickname is Pragma, my name is Szymon" echo $str.rightfromfirst(%test, my); // " nickname is Pragma, my name is Szymon" echo $str.rightfromfirst(%test, my, true); // " name is Szymon" echo $str.rightfromfirst(%test, invalid); // ""

Index, Functions